Package Details: python2-gtksourceview2 2.10.1-1

Git Clone URL: https://aur.archlinux.org/python2-gtksourceview2.git (read-only, click to copy)
Package Base: python2-gtksourceview2
Description: Python 2 bindings for gtksourceview2
Upstream URL: http://www.gnome.org
Licenses: GPL
Conflicts: pygtksourceview2
Provides: pygtksourceview2
Submitter: newbthenewbd
Maintainer: newbthenewbd
Last Packager: newbthenewbd
Votes: 8
Popularity: 0.48
First Submitted: 2019-09-17 02:56
Last Updated: 2019-09-17 02:56

Dependencies (4)

Required by (16)

Sources (1)

Latest Comments

« First ‹ Previous 1 2

uhoso commented on 2019-12-07 12:34

Can't install package: curl: (22) The requested URL returned error: 403 Forbidden ==> FEHLER: Fehler beim Download von http://ftp.gnome.org/pub/gnome/sources/pygtksourceview/2.10/pygtksourceview-2.10.1.tar.bz2 Breche ab... :: Unable to build python2-gtksourceview2 - makepkg exited with code: 1

hemant_ng commented on 2019-11-30 10:40

Issues is fixed and this package is successfully re-installed.

First I searched or a simple package which I can manually build - found this ImageMagick bundle with manual install instructions - http://studio.imagemagick.org/discourse-server/viewtopic.php?t=34557&p=166658

On doing ./configure, I got same (ar) interface errors with more details in ./config.log.

configure:6402: ar cru libconftest.a conftest.o >&5 ar: u' modifier ignored sinceD' is the default (see U') ar: /usr/bin/../lib/bfd-plugins/../lib/libstdc++.so.6: versionGLIBCXX_3.4.26' not found (required by /usr/lib64/libLLVM-9.so)

./configure: line 6403: 24426 Segmentation fault (core dumped) $AR cru libconftest.a

After searching online for many days for libstdc++.so.6 error, I found this link - https://askubuntu.com/questions/164296/glibcxx-3-4-15-not-found

Command locate libstdc++.so.6 gave lot of results in my system, I checked file owners and removed libstdc++.so* files not owned by any package.

After this, the builds succeed for python2-gtksourceview2, cherrytree and others.

hemant_ng commented on 2019-11-25 11:55

My build envmnt is still not working but I can install non-python AUR packages.

I applied debtap on the .deb to get .tar.gz file which got installed by pacman -U python-gtksourceview.tar.gz - after deleting all conflicting files and downgrading bash-completion to 1.7-2 version from May2017.

hemant_ng commented on 2019-11-13 16:25

Thanks, newbthenewbd. My build environment definitely has an issue, I get these errors for any AUR package.

checking for ar... ar checking the archiver (ar) interface... unknown configure: error: could not determine ar interface

I must fix this first and move away from yaourt to pacuar/yay and then try installing this package.

newbthenewbd commented on 2019-11-10 15:12

Weird, for me the build works and the relevant line looks like this:

libtool: link: /usr/bin/nm -B  .libs/gtksourceview2_la-gtksourceview2module.o .libs/gtksourceview2_la-gtksourceview2.o   | sed -n -e 's/^.*[     ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[     ][  ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | /usr/bin/sed 's/.* //' | sort | uniq > .libs/gtksourceview2.exp

So, for some reason You're missing the global_symbol_pipe. Could yaourt somehow be the culprit? It's not exactly maintained or considered safe nowadays.

If yaourt isn't it, could You please post the entire build log at https://paste.awesom.eu/ and link to it?

hemant_ng commented on 2019-11-10 10:24

I get this error when installing this package (as cherrytree dependency) EDIT: extra linebreaks added to aid reading.

......................... ......................... _la-gtksourceview2module.lo gtksourceview2_la-gtksourceview2.lo -lgtksourceview-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lharfbuzz -lfontconfig -lfreetype
libtool: link: /usr/bin/nm -B .libs/gtksourceview2_la-gtksourceview2module.o .libs/gtksourceview2_la-gtksourceview2.o | | /usr/bin/sed 's/.* //' | sort | uniq > .libs/gtksourceview2.exp

./libtool: eval: line 950: syntax error near unexpected token `|'

./libtool: eval: line 950: `/usr/bin/nm -B .libs/gtksourceview2_la-gtksourceview2module.o .libs/gtksourceview2_la-gtksourceview2.o | | /usr/bin/sed 's/.* //' | sort | uniq > .libs/gtksourceview2.exp'

make[2]: *** [Makefile:425: gtksourceview2.la] Error 2

make[2]: Leaving directory '/home/hemant/yaourt-tmp-hemant/aur-python2-gtksourceview2/src/pygtksourceview-2.10.1'

make[1]: *** [Makefile:527: all-recursive] Error 1

make[1]: Leaving directory '/home/hemant/yaourt-tmp-hemant/aur-python2-gtksourceview2/src/pygtksourceview-2.10.1'

make: *** [Makefile:334: all] Error 2

==> ERROR: A failure occurred in build(). Aborting...

==> ERROR: Makepkg was unable to build python2-gtksourceview2.

==> Restart building python2-gtksourceview2 ? [y/N]

==> -----------------------------------------------

==> n